QGIS Application - Bug report #2439
QGIS 1.0.2 build on opensuse 11.2 fails with python-sip4 error
2010-02-12 07:43 AM - Otto Dassau

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: SuSE Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupts data: Copied to github as #: 12499
Description

Hi,

wanted to build QGIS 1.0.2 rpms for opensuse 11.2 and ended up with following python-sip4 error (was working with opensuse 11.1):

[ 61%)] Generating core/core.so

/usr/src/packages/BUILD/qgis10-1.0.2/python/core/conversions.sip: In function 'int
convertTo_QMap_1800_0600QMap_1800_0100QVariant(PyObject*, void**, int*, [[PyObject]]*)"
/usr/src/packages/BUILD/qgis10-1.0.2/python/core/conversions.sip:367: error: 'sipClass_QVariant' was not declared in this scope
/usr/src/packages/BUILD/qgis10-1.0.2/python/core/conversions.sip:394: error: 'sipClass_QVariant' was not declared in this scope
gmaker3: * [sipcoreQMap18000600QMap18000100QVariant.o] Error 1

maker2: [python/core/core.so] Error 2

maker1: [python/CMakeFiles/python.dir/all] Error 2

make: * [all] Error 2

opensuse 11.2 uses python-sip-4.9.1

attached you find a patch that | use succesfully for SLES 10, but it doesn't work with 11.2.

any ideas?

Regards,
Otto

History

#1 - 2010-02-12 08:12 AM - Martin Dobias

Try to apply patch from commit:3d35¢57d (SVN r11774). See #1959 for some details.

#2 - 2010-02-12 08:59 AM - Otto Dassau

no, doesn't work, result is:

[ 61%] Generating core/Makefile, gui/Makefile

sip: [[QgsOverlayObiject]] is undefined

sip: [[QgsOverlayObiject]] is undefined

Error: Unable to open
"/usr/src/packages/BUILD/qgis10-1.0.2/python/core/core.sbf"
Parsing SIP files for 'core’ library...
/ust/bin/sip -c core -b
/ust/src/packages/BUILD/qgis10-1.0.2/python/core/core.sbf -
/usr/share/sip/PyQt4 -x [[VendorID]] -t WS_X11 -x [[PyQt]]_NoPrintRangeBug -t
Qt 4 5 0-xPy v3-g
/usr/src/packages/BUILD/qgis10-1.0.2/python/core/core.sip
Parsing SIP files for 'gui' library...
/usr/bin/sip -c gui -b
/usr/src/packages/BUILD/qgis10-1.0.2/python/gui/gui.sbf -
/usr/src/packages/BUILD/qgis10-1.0.2/python -l /usr/share/sip/PyQt4 -x
[[VendorID]] -t WS_X11 -x [[PyQt]]_NoPrintRangeBug -t Qt_4_5_0 -x Py_v3 -g
/usr/src/packages/BUILD/qgis10-1.0.2/python/gui/gui.sip
Creating makefiles...
maker2: * [python/core/Makefile] Error 1
maker1: [python/CMakeFiles/python.dir/all] Error 2
make: ** [all] Error 2

Otto

#3 - 2010-02-12 09:26 AM - Martin Dobias

This time the problem is in the attached sip49_support.patch - the last chunk of added code in python/core/conversions.sip shouldn't be there
(QgsOverlayObiject exists from 1.1). So just delete everything in that file starting from this line:

%MappedType QMap<int, [[QgsOverlayObject]]*>

#4 - 2010-04-24 01:50 AM - Paolo Cavallini

Does this still apply? Does it make sense to keep it open? Are going to really support and fix issues on 1.0 series?

#5 - 2010-06-11 09:40 PM - Paolo Cavallini
- Resolution set to wontfix

- Status changed from Open to Closed

Closing it for lack of user feedback. Please reopen it if necessary

Files

sip49_support.patch 7.02 KB 2010-02-12 Otto Dassau

2025-12-16 22



